server.port= 8062
spring.application.name= GETEWAY-SERVICE

eureka.instance.prefer-ip-address=true
eureka.client.fetch-registry=true
eureka.client.register-with-eureka=true
eureka.client.service-url.defaultZone=http://localhost:8061/eureka/

logging.level.root=INFO
logging.level.org.springframework.cloud.gateway.route.RouteDefinitionLocator=INFO
logging.level.org.springframework.cloud.gateway=TRACE


spring.cloud.gateway.routes[0].id=PRODUCT-SERVICE
spring.cloud.gateway.routes[0].uri=lb://PRODUCT-SERVICE
spring.cloud.gateway.routes[0].predicates[0]=Path=/products

spring.cloud.gateway.routes[1].id=ORDER-SERVICE
spring.cloud.gateway.routes[1].uri=lb://ORDER-SERVICE
spring.cloud.gateway.routes[1].predicates[0]=Path=/orders

spring.cloud.gateway.routes[2].id=INVENTORY-SERVICE
spring.cloud.gateway.routes[2].uri=lb://INVENTORY-SERVICE
spring.cloud.gateway.routes[2].predicates[0]=Path=/inventorys

spring.cloud.gateway.routes[3].id=DISCOVERY-SERVICE
spring.cloud.gateway.routes[3].uri=http://localhost:8061
spring.cloud.gateway.routes[3].predicates[0]=Path=/eureka/web
spring.cloud.gateway.routes[3].filters[0]=SetPath=/

spring.cloud.gateway.routes[4].id=discovery-static
spring.cloud.gateway.routes[4].uri=http://localhost:8061
spring.cloud.gateway.routes[4].predicates[0]=Path=/eureka/**